/*

    Boolean Expression Solver
    Version 2.0

    Header defs.h
    This header contains global definitions used throughout the whole
    project, mostly function call modificators and lengths.

    Dialect : ANSI C
    Compiler: any ANSI C-compatible

    Copyright (c) Kamil Ekstein, 2008
    Seminar work of `Programming in C'

    This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
    INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
    A PARTICULAR PURPOSE. Kamil Ekstein reserves all rights not expressly
    granted herein.

*/

#ifndef _DEFS_H
#define _DEFS_H

/* ____________________________________________________________________________

    Preprocessor-defined Symbols
   ____________________________________________________________________________
*/

#define LOCAL static            /* function call modifier for functions that are not */
                                /* published out in header files */

#define COM_STRING_LENGTH 256   /* maximum length of a common string */

#endif
