/*

    Boolean Expression Solver
    Version 2.0

    Header eval.h
    For detailed description see eval.c.

    Dialect : ANSI C
    Compiler: any ANSI C-compatible

    Copyright (c) Kamil Ekstein, 2008
    Seminar work of `Programming in C'

    This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
    INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
    A PARTICULAR PURPOSE. Kamil Ekstein reserves all rights not expressly
    granted herein.

*/

#ifndef _EVAL_H
#define _EVAL_H

#include "parser.h"

/* ____________________________________________________________________________

    Function Prototypes
   ____________________________________________________________________________
*/

unsigned long int bin_pow(int a);
void clear_var_values(variable_t var_table[]);
int evaluate(node_t *node, variable_t var_table[]);
int get_var_ones(variable_t var_table[]);
void inc_var_values(variable_t var_table[]);

#endif
